apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: admin-password-secret
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: v1
      kind: Secret
      metadata:
        name: admin-password-secret
        namespace: crossplane-system
      type: Opaque
      stringData:
        password: "YOUR_ADMIN_PASSWORD"
